{
  "codeName" : "TempMode",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSFORMS/TempMode.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "临时模式表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfip_amount",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "orderuid",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "ORDERUID",
      "codeName" : "OrderUID"
    }
  }, {
    "id" : "ibizordername",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "id" : "ordertime",
    "dataType" : 5,
    "createDVT" : "CURTIME",
    "getPSAppDEField" : {
      "name" : "ORDERTIME",
      "codeName" : "OrderTime"
    }
  }, {
    "id" : "starttime",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "STARTTIME",
      "codeName" : "StartTime"
    }
  }, {
    "id" : "endtime",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "ENDTIME",
      "codeName" : "EndTime"
    }
  }, {
    "id" : "ibizcustomername",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZCUSTOMERNAME",
      "codeName" : "IBIZCustomerName"
    }
  }, {
    "id" : "ordertype",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "ORDERTYPE",
      "codeName" : "OrderType"
    }
  }, {
    "id" : "amount",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "AMOUNT",
      "codeName" : "Amount"
    }
  }, {
    "id" : "detailnum",
    "dataType" : 9,
    "getPSAppDEField" : {
      "name" : "DETAILNUM",
      "codeName" : "DetailNum"
    }
  }, {
    "id" : "orderstate",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "ORDERSTATE",
      "codeName" : "OrderState"
    }
  }, {
    "id" : "memo",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "MEMO",
      "codeName" : "Memo"
    }
  }, {
    "id" : "ibizcustomerid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZCUSTOMERID",
      "codeName" : "IBIZCustomerId"
    }
  }, {
    "id" : "ibizorderid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.FORMPAGE.FORMPAGE1"
    },
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.GROUPPANEL.GROUP1"
      },
      "caption" : "订单基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ORDERUID"
        },
        "caption" : "订单编号",
        "codeName" : "orderuid",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "orderuid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ORDERUID",
          "codeName" : "OrderUID"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "orderuid"
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERNAME"
        },
        "caption" : "订单名称",
        "codeName" : "ibizordername",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizordername",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "ibizordername"
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ORDERTIME"
        },
        "caption" : "订单时间",
        "codeName" : "ordertime",
        "createDVT" : "CURTIME",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemWidth" : 230.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ordertime",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ORDERTIME",
          "codeName" : "OrderTime"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD"
          },
          "editorType" : "DATEPICKEREX_NOTIME",
          "editorWidth" : 100.0,
          "name" : "ordertime"
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "订单开始时间",
        "codeName" : "starttime",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemWidth" : 290.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "starttime",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "STARTTIME",
          "codeName" : "StartTime"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
          },
          "editorType" : "DATEPICKER",
          "editorWidth" : 160.0,
          "name" : "starttime"
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "caption" : "订单结束时间",
        "codeName" : "endtime",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemWidth" : 290.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "endtime",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ENDTIME",
          "codeName" : "EndTime"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
          },
          "editorType" : "DATEPICKER",
          "editorWidth" : 160.0,
          "name" : "endtime"
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : false,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDER.IBIZCUSTOMERNAME"
        },
        "caption" : "客户名称",
        "codeName" : "ibizcustomername",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizcustomername",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZCUSTOMERNAME",
          "codeName" : "IBIZCustomerName"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "handlerType" : "PickupText",
          "name" : "ibizcustomername",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
          },
          "getPickupPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomerPickupView.json",
            "viewType" : "DEPICKUPVIEW"
          },
          "valueItemName" : "ibizcustomerid",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "valueItemName" : "ibizcustomerid",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ORDERTYPE"
        },
        "caption" : "订单类型",
        "codeName" : "ordertype",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ordertype",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ORDERTYPE",
          "codeName" : "OrderType"
        },
        "getPSEditor" : {
          "editorType" : "DROPDOWNLIST",
          "name" : "ordertype",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERTYPE.json"
          },
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "needCodeListConfig" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDER.AMOUNT"
        },
        "caption" : "总计",
        "codeName" : "amount",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "amount",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "amount"
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "unitName" : "元",
        "allowEmpty" : true,
        "enableItemPriv" : true,
        "enableUnitName" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.DETAILNUM"
        },
        "caption" : "明细数",
        "codeName" : "detailnum",
        "dataType" : 9,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "detailnum",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "DETAILNUM",
          "codeName" : "DetailNum"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "detailnum",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.ORDERSTATE"
        },
        "caption" : "订单状态",
        "codeName" : "orderstate",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 0,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "orderstate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ORDERSTATE",
          "codeName" : "OrderState"
        },
        "getPSEditor" : {
          "editorType" : "DROPDOWNLIST",
          "name" : "orderstate",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
          },
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "needCodeListConfig" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.MEMO"
        },
        "caption" : "备注",
        "codeName" : "memo",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "itemHeight" : 100.0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "memo",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "MEMO",
          "codeName" : "Memo"
        },
        "getPSEditor" : {
          "editorHeight" : 100.0,
          "editorParams" : {
            "HEIGHT" : "200"
          },
          "editorType" : "TEXTAREA_10",
          "maxLength" : 2000,
          "name" : "memo",
          "showMaxLength" : true
        },
        "getPSLayoutPos" : {
          "colMD" : 12,
          "colSM" : 12,
          "colXS" : 12,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.GROUPPANEL.GROUPPANEL1"
      },
      "caption" : "订单明细",
      "codeName" : "grouppanel1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "codeName" : "druipart1",
        "detailStyle" : "DEFAULT",
        "detailType" : "DRUIPART",
        "name" : "druipart1",
        "getPSAppView" : {
          "accUserMode" : 2,
          "getCapPSLanguageRes" : {
            "lanResTag" : "DE.LNAME.IBIZORDERDETAIL"
          },
          "caption" : "订单明细实体表格视图(临时模式)",
          "codeName" : "IBIZOrderDetailTempModeGridView",
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailTempModeGridView.json",
          "gridRowActiveMode" : 2,
          "name" : "IBIZOrderDetailTempModeGridView",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
          },
          "getPSAppViewEngines" : [ {
            "engineCat" : "VIEW",
            "engineType" : "GridView",
            "name" : "engine",
            "getPSUIEngineParams" : [ {
              "appViewLogicName" : "opendata",
              "name" : "OPENDATA",
              "paramType" : "LOGIC"
            }, {
              "appViewLogicName" : "newdata",
              "name" : "NEWDATA",
              "paramType" : "LOGIC"
            }, {
              "ctrlName" : "grid",
              "name" : "GRID",
              "paramType" : "CTRL"
            } ]
          } ],
          "getPSAppViewLogics" : [ {
            "eventArg" : "tbitem3",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem3_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem3"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "deuiaction2",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_deuiaction2_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction2"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem4",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem4_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem4"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem6",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem6_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem6"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "deuiaction3",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_deuiaction3_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction3"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem24",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem24_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem24"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem25",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem25_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem25"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem8",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem8_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem8"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem13",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem13_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem13"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "deuiaction1",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_deuiaction1_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction1"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem11",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem11_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem11"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem21",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem21_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem21"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "eventArg" : "tbitem23",
            "eventNames" : "CLICK",
            "logicTrigger" : "CTRLEVENT",
            "logicType" : "APPVIEWUIACTION",
            "name" : "toolbar_tbitem23_click",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem23"
            },
            "getPSViewCtrlName" : "toolbar"
          }, {
            "logicTrigger" : "CUSTOM",
            "logicType" : "SYSUILOGIC",
            "name" : "newdata",
            "getPSAppUILogic" : {
              "actionAfterWizard" : "DEFAULT",
              "logicType" : "PREDEFINED",
              "name" : "新建数据",
              "getNewDataPSAppView" : {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                  "viewType" : "DEEDITVIEW9"
                }
              },
              "getPSAppUILogicRefViews" : [ {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                  "viewType" : "DEEDITVIEW9"
                }
              } ],
              "viewLogicType" : "APP_NEWDATA",
              "batchAddOnly" : false,
              "enableBatchAdd" : false,
              "enableWizardAdd" : false
            }
          }, {
            "logicTrigger" : "CUSTOM",
            "logicType" : "SYSUILOGIC",
            "name" : "opendata",
            "getPSAppUILogic" : {
              "logicType" : "PREDEFINED",
              "name" : "打开数据",
              "getOpenDataPSAppView" : {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                  "viewType" : "DEEDITVIEW9"
                }
              },
              "getPSAppUILogicRefViews" : [ {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                  "viewType" : "DEEDITVIEW9"
                }
              } ],
              "viewLogicType" : "APP_OPENDATA",
              "editMode" : true
            }
          } ],
          "getPSAppViewRefs" : [ {
            "name" : "EDITDATA",
            "realTitle" : "订单明细编辑视图",
            "getRealTitlePSLanguageRes" : {
              "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.SEDITVIEW9"
            },
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
              "viewType" : "DEEDITVIEW9"
            }
          }, {
            "name" : "NEWDATA",
            "realTitle" : "订单明细编辑视图",
            "getRealTitlePSLanguageRes" : {
              "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.SEDITVIEW9"
            },
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
              "viewType" : "DEEDITVIEW9"
            }
          } ],
          "getPSAppViewUIActions" : [ {
            "name" : "toolbar_tbitem3",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "New"
            },
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_deuiaction2",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "Save"
            },
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem4",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "Edit"
            },
            "uIActionTarget" : "SINGLEKEY",
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem6",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "Copy"
            },
            "uIActionTarget" : "SINGLEKEY",
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_deuiaction3",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "ToggleFilter"
            },
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem24",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "ToggleRowEdit"
            },
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem25",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "NewRow"
            },
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem8",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "uIActionTarget" : "MULTIKEY",
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem13",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "ExportExcel"
            },
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_deuiaction1",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "ImportExcel"
            },
            "uIActionTarget" : "NONE",
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem11",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "Print"
            },
            "uIActionTarget" : "MULTIKEY",
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem21",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "ExportModel"
            },
            "xDataControlName" : "grid"
          }, {
            "name" : "toolbar_tbitem23",
            "getPSUIAction" : {
              "modelref" : true,
              "id" : "Import"
            },
            "xDataControlName" : "grid"
          } ],
          "getPSControls" : [ {
            "aggMode" : "NONE",
            "codeName" : "TempModeGrid",
            "columnEnableLink" : 2,
            "controlType" : "GRID",
            "getCreatePSControlAction" : {
              "actionName" : "CreateTemp",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "CreateTemp"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              }
            },
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSGRIDS/TempModeGrid.json",
            "getFetchPSControlAction" : {
              "modelref" : true,
              "id" : "fetch"
            },
            "getGetDraftPSControlAction" : {
              "actionName" : "GetDraftTemp",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraftTemp"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              }
            },
            "getGetPSControlAction" : {
              "actionName" : "GetTemp",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetTemp"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              }
            },
            "groupMode" : "NONE",
            "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
            "logicName" : "临时模式",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "GetTemp",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetTemp"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                }
              }, {
                "actionName" : "CreateTemp",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "CreateTemp"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                }
              }, {
                "actionName" : "UpdateTemp",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "UpdateTemp"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                }
              }, {
                "actionName" : "RemoveTemp",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "RemoveTemp"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                }
              }, {
                "actionName" : "GetDraftTemp",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "GetDraftTemp"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                }
              }, {
                "actionType" : "DEDATASET",
                "name" : "fetch",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                }
              } ],
              "userDRAction" : "READ",
              "enableDEFieldPrivilege" : false,
              "id" : "数据表格处理器"
            },
            "getPSControlLogics" : [ {
              "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
              "logicTag" : "grid",
              "logicType" : "APPVIEWENGINE",
              "name" : "engine_grid",
              "getPSAppViewEngine" : {
                "modelref" : true,
                "id" : "engine"
              }
            } ],
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true,
              "id" : "GRID"
            },
            "getPSDEGridColumns" : [ {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.IBIZORDERDETAILNAME"
              },
              "caption" : "订单明细名称",
              "codeName" : "ibizorderdetailname",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "ibizorderdetailname",
              "excelCaption" : "订单明细名称",
              "name" : "ibizorderdetailname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "IBIZORDERDETAILNAME",
                "codeName" : "IBIZOrderDetailName"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableRowEdit" : true,
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME"
              },
              "caption" : "订单名称",
              "codeName" : "IBIZordername",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "ibizordername",
              "excelCaption" : "订单名称",
              "name" : "IBIZordername",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "IBIZORDERNAME",
                "codeName" : "IBIZOrderName"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME"
              },
              "caption" : "产品名称",
              "codeName" : "IBIZuniproductname",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "ibizuniproductname",
              "excelCaption" : "产品名称",
              "getLinkPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductRedirectView.json",
                "viewType" : "DEREDIRECTVIEW"
              },
              "linkValueItem" : "ibizuniproductid",
              "name" : "IBIZuniproductname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "IBIZUNIPRODUCTNAME",
                "codeName" : "IBIZUNIProductName"
              },
              "width" : 150,
              "widthUnit" : "px",
              "enableLinkView" : true,
              "enableRowEdit" : true,
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.QUANTITY"
              },
              "caption" : "数量",
              "codeName" : "quantity",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "quantity",
              "excelCaption" : "数量",
              "name" : "quantity",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "QUANTITY",
                "codeName" : "Quantity"
              },
              "width" : 150,
              "widthUnit" : "px",
              "enableRowEdit" : true,
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.UNITPRICE"
              },
              "caption" : "单价",
              "codeName" : "unitprice",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "unitprice",
              "excelCaption" : "单价",
              "name" : "unitprice",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "UNITPRICE",
                "codeName" : "UnitPrice"
              },
              "width" : 150,
              "widthUnit" : "px",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.AMOUNT"
              },
              "caption" : "小计",
              "codeName" : "amount",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "amount",
              "excelCaption" : "小计",
              "name" : "amount",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "AMOUNT",
                "codeName" : "Amount"
              },
              "width" : 100,
              "widthUnit" : "STAR",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "getCapPSLanguageRes" : {
                "lanResTag" : "DEF.LNAME.UNIT"
              },
              "caption" : "单位",
              "codeName" : "unit",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "unit",
              "excelCaption" : "单位",
              "name" : "unit",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "UNIT",
                "codeName" : "Unit"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            } ],
            "getPSDEGridDataItems" : [ {
              "dataType" : 25,
              "name" : "ibizorderdetailname",
              "getPSAppDEField" : {
                "name" : "IBIZORDERDETAILNAME",
                "codeName" : "IBIZOrderDetailName"
              }
            }, {
              "dataType" : 25,
              "name" : "ibizordername",
              "getPSAppDEField" : {
                "name" : "IBIZORDERNAME",
                "codeName" : "IBIZOrderName"
              }
            }, {
              "dataType" : 25,
              "name" : "ibizuniproductname",
              "getPSAppDEField" : {
                "name" : "IBIZUNIPRODUCTNAME",
                "codeName" : "IBIZUNIProductName"
              }
            }, {
              "dataType" : 9,
              "name" : "quantity",
              "getPSAppDEField" : {
                "name" : "QUANTITY",
                "codeName" : "Quantity"
              }
            }, {
              "dataType" : 7,
              "name" : "unitprice",
              "getPSAppDEField" : {
                "name" : "UNITPRICE",
                "codeName" : "UnitPrice"
              }
            }, {
              "dataType" : 7,
              "name" : "amount",
              "getPSAppDEField" : {
                "name" : "AMOUNT",
                "codeName" : "Amount"
              }
            }, {
              "dataType" : 25,
              "name" : "unit",
              "getPSAppDEField" : {
                "name" : "UNIT",
                "codeName" : "Unit"
              }
            }, {
              "dataType" : 25,
              "name" : "ibizorderdetailid",
              "getPSAppDEField" : {
                "name" : "IBIZORDERDETAILID",
                "codeName" : "IBIZOrderDetailId"
              }
            }, {
              "dataType" : 25,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "IBIZORDERDETAILID",
                "codeName" : "IBIZOrderDetailId"
              }
            }, {
              "dataType" : 25,
              "name" : "srfdataaccaction",
              "getPSAppDEField" : {
                "name" : "IBIZORDERDETAILID",
                "codeName" : "IBIZOrderDetailId"
              },
              "dataAccessAction" : true
            }, {
              "dataType" : 25,
              "name" : "ibizorderid",
              "getPSAppDEField" : {
                "name" : "IBIZORDERID",
                "codeName" : "IBIZOrderId"
              }
            }, {
              "dataType" : 25,
              "name" : "ibizuniproductid",
              "getPSAppDEField" : {
                "name" : "IBIZUNIPRODUCTID",
                "codeName" : "IBIZUNIProductId"
              }
            }, {
              "dataType" : 25,
              "name" : "srfmajortext",
              "getPSAppDEField" : {
                "name" : "IBIZORDERDETAILNAME",
                "codeName" : "IBIZOrderDetailName"
              }
            } ],
            "getPSDEGridEditItems" : [ {
              "caption" : "订单明细名称",
              "codeName" : "ibizorderdetailname",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "ibizorderdetailname",
              "getPSAppDEField" : {
                "name" : "IBIZORDERDETAILNAME",
                "codeName" : "IBIZOrderDetailName"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "maxLength" : 200,
                "name" : "ibizorderdetailname"
              },
              "allowEmpty" : true
            }, {
              "caption" : "产品名称",
              "codeName" : "IBIZuniproductname",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "IBIZuniproductname",
              "getPSAppDEField" : {
                "name" : "IBIZUNIPRODUCTNAME",
                "codeName" : "IBIZUNIProductName"
              },
              "getPSEditor" : {
                "editorType" : "DROPDOWNLIST",
                "name" : "IBIZuniproductname",
                "singleSelect" : true
              },
              "allowEmpty" : true,
              "needCodeListConfig" : true
            }, {
              "caption" : "数量",
              "codeName" : "quantity",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "quantity",
              "getPSAppDEField" : {
                "name" : "QUANTITY",
                "codeName" : "Quantity"
              },
              "getPSEditor" : {
                "editorType" : "TEXTBOX",
                "name" : "quantity"
              },
              "allowEmpty" : true
            }, {
              "caption" : "订单明细标识",
              "codeName" : "srfkey",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "IBIZORDERDETAILID",
                "codeName" : "IBIZOrderDetailId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "srfkey"
              },
              "allowEmpty" : true
            } ],
            "pagingSize" : 10,
            "getRemovePSControlAction" : {
              "actionName" : "RemoveTemp",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "RemoveTemp"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              }
            },
            "sortMode" : "REMOTE",
            "getUpdatePSControlAction" : {
              "actionName" : "UpdateTemp",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "UpdateTemp"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
              }
            },
            "hasWFDataItems" : false,
            "enableColFilter" : false,
            "enableCustomized" : true,
            "enableGroup" : false,
            "enablePagingBar" : true,
            "enableRowEdit" : true,
            "enableRowEditOrder" : false,
            "enableRowNew" : true,
            "forceFit" : true,
            "hideHeader" : false,
            "noSort" : false,
            "singleSelect" : false,
            "name" : "grid",
            "modelid" : "292566c922922f1a6b0343d3c3352851",
            "modeltype" : "PSDEGRID"
          }, {
            "codeName" : "TempModeGridViewtoolbar",
            "controlType" : "TOOLBAR",
            "hookEventNames" : [ "CLICK" ],
            "logicName" : "工具栏模板（默认表格界面）",
            "name" : "toolbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
            },
            "getPSControlLogics" : [ {
              "eventArg" : "tbitem3",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem3_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem3_click"
              }
            }, {
              "eventArg" : "deuiaction2",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_deuiaction2_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction2_click"
              }
            }, {
              "eventArg" : "tbitem4",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem4_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem4_click"
              }
            }, {
              "eventArg" : "tbitem6",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem6_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem6_click"
              }
            }, {
              "eventArg" : "deuiaction3",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_deuiaction3_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction3_click"
              }
            }, {
              "eventArg" : "tbitem24",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem24_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem24_click"
              }
            }, {
              "eventArg" : "tbitem25",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem25_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem25_click"
              }
            }, {
              "eventArg" : "tbitem8",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem8_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem8_click"
              }
            }, {
              "eventArg" : "tbitem13",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem13_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem13_click"
              }
            }, {
              "eventArg" : "deuiaction1",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_deuiaction1_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction1_click"
              }
            }, {
              "eventArg" : "tbitem11",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem11_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem11_click"
              }
            }, {
              "eventArg" : "tbitem21",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem21_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem21_click"
              }
            }, {
              "eventArg" : "tbitem23",
              "eventNames" : "CLICK",
              "logicTag" : "toolbar",
              "logicType" : "APPVIEWLOGIC",
              "name" : "toolbar_tbitem23_click",
              "getPSAppViewLogic" : {
                "modelref" : true,
                "id" : "toolbar_tbitem23_click"
              }
            } ],
            "getPSControlParam" : {
              "id" : "TOOLBAR"
            },
            "getPSDEToolbarItems" : [ {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem3",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem3"
              },
              "getPSSysCss" : {
                "cssName" : "deepskyblueToolBar"
              },
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.NEW"
                },
                "caption" : "新建",
                "codeName" : "New",
                "fullCodeName" : "New",
                "name" : "表格界面_新建操作",
                "getPSSysImage" : {
                  "glyph" : "xf0f6@FontAwesome",
                  "cssClass" : "fa fa-file-text-o"
                },
                "predefinedType" : "GRIDVIEW_NEWACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.NEW"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "New",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "新建",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.SAVE"
              },
              "caption" : "保存",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction2",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction2"
              },
              "getPSSysImage" : {
                "glyph" : "xf0c7@FontAwesome",
                "cssClass" : "fa fa-save"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.SAVE"
                },
                "caption" : "保存",
                "codeName" : "Save",
                "fullCodeName" : "Save",
                "name" : "编辑界面_保存操作",
                "getPSSysImage" : {
                  "glyph" : "xf0c7@FontAwesome",
                  "cssClass" : "fa fa-save"
                },
                "predefinedType" : "EDITVIEW_SAVEACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.SAVE"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Save",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "保存",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.SAVE"
              },
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem4",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem4"
              },
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.EDIT"
                },
                "caption" : "编辑",
                "codeName" : "Edit",
                "fullCodeName" : "Edit",
                "name" : "表格界面_编辑操作",
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "predefinedType" : "GRIDVIEW_EDITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Edit",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "编辑",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "showCaption" : true,
              "showIcon" : false
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.COPY"
              },
              "caption" : "拷贝",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem6",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem6"
              },
              "getPSSysImage" : {
                "glyph" : "xf0c5@FontAwesome",
                "cssClass" : "fa fa-copy"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.COPY"
                },
                "caption" : "拷贝",
                "codeName" : "Copy",
                "fullCodeName" : "Copy",
                "name" : "表格界面_拷贝操作",
                "getPSSysImage" : {
                  "glyph" : "xf0c5@FontAwesome",
                  "cssClass" : "fa fa-copy"
                },
                "predefinedType" : "GRIDVIEW_COPYACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.COPY"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Copy",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "拷贝",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.COPY"
              },
              "showCaption" : true,
              "showIcon" : false
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem7",
              "spanMode" : false
            }, {
              "caption" : "行编辑",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem24",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem24"
              },
              "getPSSysImage" : {
                "glyph" : "xf0ce@FontAwesome",
                "cssClass" : "fa fa-table"
              },
              "getPSUIAction" : {
                "caption" : "行编辑",
                "codeName" : "ToggleRowEdit",
                "fullCodeName" : "ToggleRowEdit",
                "name" : "表格界面_行编辑开关操作",
                "getPSSysImage" : {
                  "glyph" : "xf0ce@FontAwesome",
                  "cssClass" : "fa fa-table"
                },
                "predefinedType" : "GRIDVIEW_ROWEDITACTION",
                "timeout" : 60000,
                "uIActionMode" : "SYS",
                "uIActionTag" : "ToggleRowEdit",
                "uIActionType" : "DEUIACTION",
                "enableToggleMode" : true
              },
              "tooltip" : "行编辑",
              "enableToggleMode" : true,
              "showCaption" : true,
              "showIcon" : false
            }, {
              "caption" : "新建行",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem25",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem25"
              },
              "getPSSysImage" : {
                "glyph" : "xf067@FontAwesome",
                "cssClass" : "fa fa-plus"
              },
              "getPSUIAction" : {
                "caption" : "新建行",
                "codeName" : "NewRow",
                "fullCodeName" : "NewRow",
                "name" : "表格界面_新建行",
                "getPSSysImage" : {
                  "glyph" : "xf067@FontAwesome",
                  "cssClass" : "fa fa-plus"
                },
                "predefinedType" : "GRIDVIEW_NEWROWACTION",
                "timeout" : 60000,
                "uIActionMode" : "SYS",
                "uIActionTag" : "NewRow",
                "uIActionType" : "DEUIACTION",
                "enableToggleMode" : true
              },
              "tooltip" : "新建行",
              "enableToggleMode" : true,
              "showCaption" : false,
              "showIcon" : true
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem26",
              "spanMode" : false
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem8",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem8"
              },
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "getPSUIAction" : {
                "actionTarget" : "MULTIKEY",
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.REMOVE"
                },
                "caption" : "删除",
                "codeName" : "Remove",
                "fullCodeName" : "Remove",
                "name" : "表格界面_删除操作",
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "predefinedType" : "GRIDVIEW_REMOVEACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Remove",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "删除",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "showCaption" : true,
              "showIcon" : false
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem9",
              "spanMode" : false
            }, {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EXPORT"
              },
              "caption" : "导出",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "tbitem13",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_tbitem13"
              },
              "getPSSysImage" : {
                "glyph" : "xf1c3@FontAwesome",
                "cssClass" : "fa fa-file-excel-o"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "TBB.TEXT.*.EXPORT"
                },
                "caption" : "导出",
                "codeName" : "ExportExcel",
                "fullCodeName" : "ExportExcel",
                "name" : "表格界面_导出操作（Excel）",
                "getPSSysImage" : {
                  "glyph" : "xf1c3@FontAwesome",
                  "cssClass" : "fa fa-file-excel-o"
                },
                "predefinedType" : "GRIDVIEW_EXPORTACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "lanResTag" : "TBB.TOOLTIP.*.EXPORT"
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "ExportExcel",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "导出",
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EXPORT"
              },
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "导入",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction1",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "toolbar_deuiaction1"
              },
              "getPSSysImage" : {
                "glyph" : "xf093@FontAwesome",
                "cssClass" : "fa fa-upload"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "导入",
                "codeName" : "ImportExcel",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "ImportExcel",
                "htmlPageUrl" : "../../ibizutil/uploaddedataview.jsp?srfdeid=",
                "name" : "导入",
                "getPSSysImage" : {
                  "glyph" : "xf093@FontAwesome",
                  "cssClass" : "fa fa-upload"
                },
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "ImportExcel",
                "uIActionType" : "DEUIACTION"
              },
              "tooltip" : "导入",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "itemType" : "SEPERATOR",
              "name" : "tbitem10",
              "spanMode" : false
            }, {
              "caption" : "其它",
              "itemType" : "ITEMS",
              "name" : "tbitem16",
              "getPSDEToolbarItems" : [ {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF"
                },
                "caption" : "导出数据模型",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "tbitem21",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem21"
                },
                "getPSSysImage" : {
                  "glyph" : "xf019@FontAwesome",
                  "cssClass" : "fa fa-download"
                },
                "getPSUIAction" : {
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "MENUITEM.CAPTION.*.EXPORTSRF"
                  },
                  "caption" : "导出数据模型",
                  "codeName" : "ExportModel",
                  "fullCodeName" : "ExportModel",
                  "name" : "表格界面_导出数据模型",
                  "getPSSysImage" : {
                    "glyph" : "xf019@FontAwesome",
                    "cssClass" : "fa fa-download"
                  },
                  "predefinedType" : "GRIDVIEW_EXPORTXMLACTION",
                  "timeout" : 60000,
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "ExportModel",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "导出数据模型",
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "数据导入",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "tbitem23",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "toolbar_tbitem23"
                },
                "getPSSysImage" : {
                  "glyph" : "xf093@FontAwesome",
                  "cssClass" : "fa fa-upload"
                },
                "getPSUIAction" : {
                  "caption" : "数据导入",
                  "codeName" : "Import",
                  "fullCodeName" : "Import",
                  "name" : "表格界面_数据导入栏",
                  "getPSSysImage" : {
                    "glyph" : "xf093@FontAwesome",
                    "cssClass" : "fa fa-upload"
                  },
                  "predefinedType" : "GRIDVIEW_IMPORTBAR",
                  "timeout" : 60000,
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "Import",
                  "uIActionType" : "DEUIACTION"
                },
                "tooltip" : "数据导入",
                "showCaption" : true,
                "showIcon" : true
              } ],
              "tooltip" : "其它",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "modelid" : "47d7b189cb310900c71aaabc97f7444b",
            "modeltype" : "PSDETOOLBAR"
          } ],
          "getPSDEViewCodeName" : "TempModeGridView",
          "getPSDEViewId" : "8abcb8a7e312606c096f9f4ad8617236",
          "getPSViewLayoutPanel" : {
            "codeName" : "Layoutpanel",
            "controlStyle" : "APPDEGRIDVIEW",
            "controlType" : "VIEWLAYOUTPANEL",
            "name" : "layoutpanel",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
            },
            "getPSControlParam" : { },
            "layoutBodyOnly" : true,
            "layoutPanel" : true,
            "useDefaultLayout" : true
          },
          "tempMode" : 2,
          "title" : "订单明细实体表格视图(临时模式)",
          "viewStyle" : "DEFAULT",
          "viewType" : "DEGRIDVIEW",
          "xDataControlName" : "grid",
          "enableDP" : true,
          "enableExport" : true,
          "enableFilter" : false,
          "enableImport" : true,
          "enableQuickSearch" : true,
          "enableRowEdit" : true,
          "rowEditDefault" : true,
          "showCaptionBar" : false,
          "modelid" : "5adf5dde3ad3e8acf640f10502181661",
          "modeltype" : "PSAPPDEVIEW",
          "getPSAppDERSPaths" : [ [ {
            "actionRSMode" : 1,
            "codeName" : "IBIZORDERDETAILS",
            "dataRSMode" : 0,
            "majorDECodeName" : "IBIZOrder",
            "majorDEName" : "IBIZORDER",
            "getMajorPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
            },
            "minorDECodeName" : "IBIZOrderDetail",
            "minorDEName" : "IBIZORDERDETAIL",
            "getMinorPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
            },
            "name" : "订单实体_订单明细",
            "getParentPSAppDEField" : {
              "name" : "IBIZORDERID",
              "codeName" : "IBIZOrderId"
            },
            "rSMode" : 2,
            "tempDataOrder" : 10
          } ] ]
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "paramItem" : "orderuid",
        "parentDataJO" : {
          "srfparentdefname" : "IBIZORDERID",
          "srfparentdename" : "IBIZORDER",
          "SRFPARENTTYPE" : "DER1N",
          "srfparentmode" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
          "SRFDER1NID" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID"
        },
        "needSave" : false,
        "refreshItemsSetParamOnly" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "getWFStartPSControlAction" : {
    "modelref" : true,
    "id" : "WFSTART"
  },
  "getWFSubmitPSControlAction" : {
    "modelref" : true,
    "id" : "WFSUBMIT"
  },
  "noTabHeader" : true,
  "modelid" : "7feca92cb1c32ed93e315f40c219d67d",
  "modeltype" : "PSDEFORM_EDITFORM"
}